www.cendio.com
Bug 4695 - logout from Windows 2012 gives error
: logout from Windows 2012 gives error
Status: CLOSED FIXED
: ThinLinc
rdesktop
: trunk
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
: 4552
  Show dependency treegraph
 
Reported: 2013-06-11 18:01 by
Modified: 2013-10-25 10:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-06-11 18:01:14
You get this on a normal logout from a 2012 server:

disconnect: Unknown reason.
------- Comment #1 From cendio 2013-09-17 16:50:14 -------
Upstream commit r1742 adds support for 4 new disconnect reasons which fixes
this bug.
------- Comment #2 From cendio 2013-09-19 11:30:42 -------
Vendor drop of rdesktop in commit 27907 and handle of exitcode in
tl-run-rdesktop commit 27908. Fixes this bug.
------- Comment #3 From cendio 2013-10-24 13:58:39 -------
Logging out by...

 1. bringing up charms bar
 2. clicking 'start'
 3. clicking your name at top right of screen
 4. clicking 'sign out'

No errors are presented to the user.

Logging out (well, disconnecting really) by...

 1. bringing up charms bar
 2. clicking 'settings'
 3. clicking 'power'
 4. clicking 'disconnect'

produces an error however.
------- Comment #4 From cendio 2013-10-24 14:22:27 -------
(In reply to comment #3)
> Logging out (well, disconnecting really) by...
> 
>  1. bringing up charms bar
>  2. clicking 'settings'
>  3. clicking 'power'
>  4. clicking 'disconnect'
> 
> produces an error however.

Fixed in commit 28077.
------- Comment #5 From cendio 2013-10-25 10:59:16 -------
(In reply to comment #4)
> Fixed in commit 28077.

Works great.